Subject: Re: [lp-wan] Review of draft-ietf-lpwan-overview-06.txt

From: Stephen Farrell <[email-masked]>
Date: Tue, 3 Oct 2017 14:08:47 +0100

Hiya,

Thanks for the review.

Belatedly responding to your various mails as I get
the -07 ready.

On 28/07/17 22:47, Behcet Sarikaya wrote:
> Hi all,
> 
> Here are my comments after reading the overview document:
> page 4.
> LoRaWAN acronym?

It's not quite an acronym afaik.

> page 8.
> NwkID in Table 3, is it supposed to be NetID?

Yep, I think you're right.

> p.9
> DevEUI and AppEUI
> I think they refer to the device and the application MAC addresses
> in 64-bits

Yes, those are explained in the text I think.

> p. 13
> The 3GPP radio protocol architecture is illustration in Figure 4
> s/illustration/illustrated

Yep, ta.

> 
> control plane protocol stack and data plane protocol stack section
> numbering is missing

I think that's ok, a 2-level TOC is enough.

> p.14
> EPC not defined

There are lots of nb-IoT/LTE terms there that could be
better explained. But if you want to offer text for some
of those I'd be happy to add that.

> Fig. 1, Fig. 7 refer to non-3GPP architectures which means LoRaWAN, SIGFOX
> and Wi-SUN are basically IEEE 802.15.4 type of technologies?

I'm not sure what change you'd like.

> 
> Regarding battery life, referred to on Page 11 for NB-IoT and p.15 for
> SIGFOX, p.21 for Wi_SUN,
> if these technologies are used to connect devices like refrigerators which
> are almost always powered up, why long term battery life is an issue?
> On the other hand the use on the pets is a different issue.

Even when mounted on a mains-powered bit of equipment,
sometimes these devices run on their own battery.

On 28/07/17 23:17, Behcet Sarikaya wrote:
> More comments:
> p.13 & p.24
> P-GW is packet data network gateway
> it is not application server, the classification in Fig. 8 seems to be
> correct.

Sorry, not sure what you mean. Figure 3 and that text were
contributed by folks who know more than me about that, but
if you'd like to suggest specific text I'd be happy to make
a change, if there are no objections on the list.

On 31/07/17 22:40, Behcet Sarikaya wrote:
> Comments on Section 4:
> p.28
> Valid Lifetime in the 6CO it should be
>
> 6LoWPAN Context Option

Ack. Ta.

>
> p.30
> s/LPWANs nodes/LPWAN nodes

Ack. Ta.

> p.31
> staple OCSP responses
>
> Online Certificate Status
>    Protocol (OCSP)

Ack. Ta.

>
> p.30 section 4.8 second paragraph:
> add the use of a gateway with LTE uplink as a mobility solution.

I'm not sure what specific text you'd like.

Cheers,
S.

Cheers,
S.

> 
> Regards,
> 
> Behcet
> On Fri, Jul 21, 2017 at 2:46 AM, <[email-masked]> wrote:
> 
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>> This draft is a work item of the IPv6 over Low Power Wide-Area Networks WG
>> of the IETF.
>>
>>         Title           : LPWAN Overview
>>         Author          : Stephen Farrell
>>         Filename        : draft-ietf-lpwan-overview-06.txt
>>         Pages           : 41
>>         Date            : 2017-07-21
>>
>> Abstract:
>>    Low Power Wide Area Networks (LPWAN) are wireless technologies with
>>    characteristics such as large coverage areas, low bandwidth, possibly
>>    very small packet and application layer data sizes and long battery
>>    life operation.  This memo is an informational overview of the set of
>>    LPWAN technologies being considered in the IETF and of the gaps that
>>    exist between the needs of those technologies and the goal of running
>>    IP in LPWANs.
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-lpwan-overview/
>>
>> There are also htmlized versions available at:
>> https://tools.ietf.org/html/draft-ietf-lpwan-overview-06
>> https://datatracker.ietf.org/doc/html/draft-ietf-lpwan-overview-06
>>
>> A diff from the previous version is available at:
>> https://www.ietf.org/rfcdiff?url2=draft-ietf-lpwan-overview-06
>>
>>
>> Please note that it may take a couple of minutes from the time of
>> submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> _______________________________________________
>> lp-wan mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/lp-wan
>>
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 3 Oct 2017 10:07:10 -0500

On Tue, Oct 3, 2017 at 8:08 AM, Stephen Farrell <[email-masked]>
wrote:

> Evolved Packet Core (EPC)

> Maybe state that Wireless Smart Ubiquitous Network (Wi-SUN) is based on
the IEEE 802.15.4g standard, therefore it is mesh network while Low Power
Wide Area Network (LoRaWAN), SIGFOX support star architecture and are built
on proprietary technologies.

> maybe add some text like above including mobility.

On 28/07/17 23:17, Behcet Sarikaya wrote:
> I meant change this:

Packet Data Node Gateway (P-GW)

to
packet data network gateway

> I'm not sure what specific text you'd like.
Add to the second paragraph
NEMO [RFC3963 <https://tools.ietf.org/html/rfc3963>] Mobility solutions
or a gateway with LTE uplink
may be used ...

Cheers,
Behcet

Cheers,

---

From: Stephen Farrell <[email-masked]>
Date: Tue, 3 Oct 2017 16:19:21 +0100

Hiya,

(Chopping out the "done" bits...)

Ack. Ta.

> on proprietary technologies.

I suspect that the proponents of those might not like
the term proprietary and the point about mesh and star
networks is already made I think.

> maybe add some text like above including mobility.

Again, if you'd like to offer text, we could look at
that but I think that point is pretty clear really to
anyone who'd read this document.

> packet data network gateway

Ah, gotcha. Sure, if that's better.

> or a gateway with LTE uplink

Fair enough. Added text along those lines.

Version -07 will pop out shortly with these and the
changes from Alper.

Thanks,
S.

---

From: Edgar Ramos <[email-masked]>
Date: Wed, 4 Oct 2017 08:12:25 +0000

Hi Stephen,

I can provide you with better explanation for nb-iot/LTE terminology that you consider not well explained.
Are there any in particular that you have in mind ?

Br

EDGAR RAMOS 
Senior Researcher 

Oy LM Ericsson AB
Hardware, Devices and EMF
IoT technologies
Ericsson Research
02420 Jorvas, Finland
www.ericsson.com 

This Communication is Confidential. We only send and receive email on the basis of the terms set out at www.ericsson.com/email_disclaimer 

-----Original Message-----
From: Stephen Farrell [mailto:[email-masked]] 
Sent: Tuesday, October 03, 2017 4:09 PM
To: [email-masked]
Cc: lp-wan <[email-masked]>
Subject: Re: [lp-wan] Review of draft-ietf-lpwan-overview-06.txt

Hiya,

Thanks for the review.

Belatedly responding to your various mails as I get the -07 ready.

> p.9
> DevEUI and AppEUI
> I think they refer to the device and the application MAC addresses in 
> 64-bits

Yep, ta.

> EPC not defined

There are lots of nb-IoT/LTE terms there that could be better explained. But if you want to offer text for some of those I'd be happy to add that.

> Fig. 1, Fig. 7 refer to non-3GPP architectures which means LoRaWAN, 
> SIGFOX and Wi-SUN are basically IEEE 802.15.4 type of technologies?

> SIGFOX, p.21 for Wi_SUN, if these technologies are used to connect 
> devices like refrigerators which are almost always powered up, why 
> long term battery life is an issue?

Even when mounted on a mains-powered bit of equipment, sometimes these devices run on their own battery.

> it is not application server, the classification in Fig. 8 seems to be 

Sorry, not sure what you mean. Figure 3 and that text were contributed by folks who know more than me about that, but if you'd like to suggest specific text I'd be happy to make a change, if there are no objections on the list.

Ack. Ta.

Ack. Ta.

Ack. Ta.

Cheers,
S.

Cheers,
S.

>> This draft is a work item of the IPv6 over Low Power Wide-Area 
>> Networks WG of the IETF.
>>
>>         Title           : LPWAN Overview
>>         Author          : Stephen Farrell
>> submission until the htmlized version and diff are available at 
>> tools.ietf.org.
>>

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 4 Oct 2017 09:43:49 +0100

Hi Edgar,

On 04/10/17 09:12, Edgar Ramos wrote:
> Hi Stephen,
> 
> I can provide you with better explanation for nb-iot/LTE terminology 
> that you consider not well explained. Are there any in particular 
> that you have in mind ?

Thanks! I'll go over it to see what's left (that's still puzzling
to me:-) and send a substative reply later. (Won't be today though.)

Cheers,
S.

> 
> Br
> 
> EDGAR RAMOS Senior Researcher
> 
> Oy LM Ericsson AB Hardware, Devices and EMF IoT technologies
> Ericsson Research 02420 Jorvas, Finland www.ericsson.com
> 
> 
> 
> 
> This Communication is Confidential. We only send and receive email
> on the basis of the terms set out at
> www.ericsson.com/email_disclaimer
> 
> 
> 
> 
> 
> 
> 
> -----Original Message----- From: Stephen Farrell 
> [mailto:[email-masked]] Sent: Tuesday, October 03, 2017 
> 4:09 PM To: [email-masked] Cc: lp-wan <[email-masked]> Subject: 
> Re: [lp-wan] Review of draft-ietf-lpwan-overview-06.txt
> 
> 
> Hiya,
> 
> Thanks for the review.
> 
>> Here are my comments after reading the overview document: page 4. 
>> LoRaWAN acronym?
> 
>> page 8. NwkID in Table 3, is it supposed to be NetID?
> 
>> p.9 DevEUI and AppEUI I think they refer to the device and the 
>> application MAC addresses in 64-bits
> 
>> p. 13 The 3GPP radio protocol architecture is illustration in 
>> Figure 4 s/illustration/illustrated
> 
> Yep, ta.
> 
>> 
>> p.14 EPC not defined
> There are lots of nb-IoT/LTE terms there that could be better 
> explained. But if you want to offer text for some of those I'd be 
> happy to add that.
> 
>> Fig. 1, Fig. 7 refer to non-3GPP architectures which means
>> LoRaWAN, SIGFOX and Wi-SUN are basically IEEE 802.15.4 type of 
>> technologies?
> 
>> Regarding battery life, referred to on Page 11 for NB-IoT and p.15 
>> for SIGFOX, p.21 for Wi_SUN, if these technologies are used to 
>> connect devices like refrigerators which are almost always powered 
>> up, why long term battery life is an issue? On the other hand the 
>> use on the pets is a different issue.
> 
>> More comments: p.13 & p.24 P-GW is packet data network gateway it 
>> is not application server, the classification in Fig. 8 seems to
>> be correct.
> 
> contributed by folks who know more than me about that, but if you'd 
> like to suggest specific text I'd be happy to make a change, if
> there are no objections on the list.
> 
> 
>> Comments on Section 4: p.28 Valid Lifetime in the 6CO it should be
>> 
>> 6LoWPAN Context Option
> 
> Ack. Ta.
> 
>> 
>> p.30 s/LPWANs nodes/LPWAN nodes
> 
> Ack. Ta.
> 
>> p.31 staple OCSP responses
>> 
>> Online Certificate Status Protocol (OCSP)
> 
> Ack. Ta.
> 
>> 
>> p.30 section 4.8 second paragraph: add the use of a gateway with 
>> LTE uplink as a mobility solution.
> 
> Cheers, S.
> Cheers, S.
>> Behcet On Fri, Jul 21, 2017 at 2:46 AM, <[email-masked]> 
>> wrote:
>> 
>>> 
>>> A New Internet-Draft is available from the on-line 
>>> Internet-Drafts directories. This draft is a work item of the 
>>> IPv6 over Low Power Wide-Area Networks WG of the IETF.
>>> 
>>> Title           : LPWAN Overview Author          : Stephen 
>>> Farrell Filename        : draft-ietf-lpwan-overview-06.txt Pages 
>>> : 41 Date            : 2017-07-21
>>> 
>>> Abstract: Low Power Wide Area Networks (LPWAN) are wireless 
>>> technologies with characteristics such as large coverage areas, 
>>> low bandwidth, possibly very small packet and application layer 
>>> data sizes and long battery life operation.  This memo is an 
>>> informational overview of the set of LPWAN technologies being 
>>> considered in the IETF and of the gaps that exist between the 
>>> needs of those technologies and the goal of running IP in 
>>> LPWANs.
>>> 
>>> 
A diff from the previous version is available at:
>>> Please note that it may take a couple of minutes from the time
>>> of submission until the htmlized version and diff are available
>>> at tools.ietf.org.
>>> 
>>> _______________________________________________ lp-wan mailing 
>>> list [email-masked] 
> _______________________________________________ lp-wan mailing list 
> [email-masked] https://www.ietf.org/mailman/listinfo/lp-wan
>